org.bdgenomics.adam.rdd.sequence

# SequenceDataset

###
Related Docs: class SequenceDataset | package sequence

#### object SequenceDataset

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SequenceDataset
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val FASTA_LINE_WIDTH: String

   Hadoop configuration path to specify line width at which to hard wrap FASTA formatted sequences.

   Hadoop configuration path to specify line width at which to hard wrap FASTA formatted sequences. Defaults to 60.

5. #### def apply(rdd: RDD[Sequence], sd: SequenceDictionary): SequenceDataset

   Builds a SequenceDataset given a sequence dictionary.

   Builds a SequenceDataset given a sequence dictionary.

   rdd

     The underlying Sequence RDD to build from.

   sd

     The sequence dictionary for this SequenceDataset.

   returns

     Returns a new SequenceDataset.

6. #### def apply(rdd: RDD[Sequence]): SequenceDataset

   Builds a SequenceDataset with an empty sequence dictionary.

   Builds a SequenceDataset with an empty sequence dictionary.

   rdd

     The underlying Sequence RDD to build from.

   returns

     Returns a new SequenceDataset.

7. #### def apply(ds: Dataset[Sequence], sequences: SequenceDictionary): SequenceDataset

   A genomic dataset that wraps a dataset of Sequence data.

   A genomic dataset that wraps a dataset of Sequence data.

   ds

     A Dataset of sequences.

   sequences

     The reference genome these data are aligned to.

8. #### def apply(ds: Dataset[Sequence]): SequenceDataset

   A genomic dataset that wraps a dataset of Sequence data.

   A genomic dataset that wraps a dataset of Sequence data.

   ds

     A Dataset of sequences.

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped